-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
require 'quest_npc_dialog_window'
----------------------------------------------------------
--EVENTTYPE - ClientUserCommand 
----------------------------------------------------------
RegisterEventHandler(EventType.ClientUserCommand, "ToggleQuestLog",
function (...)
	ShowQuestLog(this,nil)
end)
----------------------------------------------------------
--EVENTTYPE - DynamicWindowResponse 
----------------------------------------------------------
RegisterEventHandler(EventType.DynamicWindowResponse,"QuestLog", 
function (user,buttonId)
	local info = StringSplit(buttonId,":")
	local button = info[1]
	local param = info[2] or nil
	if(button == "DisplayInfo") then
		ShowQuestLog(this,param)
	end
	if(button == "Decline") then
		CustomQuests.Helpers.RemoveQuest(user,param)
		ShowQuestLog(this,nil)
	end
end)

----------------------------------------------------------
--EVENTTYPE - LoadFromBackup 
----------------------------------------------------------
RegisterEventHandler(EventType.LoadedFromBackup,"",
function()
	--For Quest System add QuestLog to player
	if not(this:HasObjVar("Quests_QuestLog")) then this:SetObjVar("Quests_QuestLog",{}) end
end)