-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
------------------------------------------------------------------
-- @function EditRevealEffect()
-- allows the staff member to change their SpecialEffect.Reveal
------------------------------------------------------------------
function EditRevealEffect()
    local window = DynamicWindow("EditRevealEffect","",250,370,-125,-195,"Default","Center")
    --background
    window:AddImage(-10,-24,"Blank",250,370,"Sliced","252525")
    --background trim
    window:AddImage(-10,-24,"SectionDividerFrames_nobackground",250,370,"Sliced","959595")
	--header box
	window:AddImage(36,-45,"SectionBackground",164,34,"Sliced","353535")
	--header box background trim top
	window:AddImage(36,-45,"SectionDividerFrames_nobackground",156,48,"Sliced","A5A5A5")	
	--header text
	window:AddLabel(65,-30,"[C5C5C5]Reveal Effects",130,20,20,"Left")    
    local scrollWindow = ScrollWindow(10,10,210,310,30)
    for k,v in pairs(SpecialEffects) do
        local scrollElement = ScrollElement()
        scrollElement:AddImage(0,0,"Blank",200,30,"Sliced","454545")
        scrollElement:AddImage(0,0,"SectionDividerFrames_nobackground",200,30,"Sliced","B5B5B5")
        scrollElement:AddLabel(8,6,k,140,20,20,"left")
        scrollElement:AddButton(152,5,"SetRevealEffect:"..k,"Set",40,24,"",nil,false,"")
        scrollWindow:Add(scrollElement)       
    end
    window:AddScrollWindow(scrollWindow)
    this:OpenDynamicWindow(window,this)   
end
----------------------------------------------------------
--EVENTTYPE - DynamicWindowResponse 
----------------------------------------------------------
RegisterEventHandler(EventType.DynamicWindowResponse,"EditRevealEffect", 
function (user,buttonId)
    local buttondata = StringSplit(buttonId,":")
    if(buttondata[1] == "SetRevealEffect") then
        user:SetObjVar("RevealEffectName",buttondata[2])
        DoReveal(user)
    end
end) 
----------------------------------------------------------
--REGISTERCOMMAND - /revealeffects 
----------------------------------------------------------
RegisterCommand{ Command="revealeffects", AccessLevel = AccessLevel.God, Func=EditRevealEffect, Desc="edits the callers revealeffect" }