-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
require 'spawner_tooltip'
require 'spawner_tables'

function ShowEditorWindow(user,spawner,syntax,append_data,index)
	if(append_data == nil) then append_data = "" end
	local window = DynamicWindow("EditTemplateEntry","[BBBB44]Editing Template Info",500,500,-300,-300,"Default","Center")
	local templates = this:GetObjVar("templates")

	window:AddTextField(10,8,462,220,"edit_template_field",syntax..append_data)

	window:AddButton(15,425,"changeTemplateData:"..index,"Save",230,28,"[FF7700]Save\n[FFFFBB]save the template data",nil,false,"")
	window:AddButton(240,425,"cancel","Cancel",230,28,"[FF7700]Cancel\n[FFFFBB]cancel editing the template data",nil,false,"")

	window:AddImage(550,0,"TextBoxBG",300,190,"Sliced",nil,0.7)

	window:AddButton(15,235,"getobject:"..index,"Get Object",230,24,"[FF7700]Get Object\n[FFFFBB]this will get the object id of the target for you",nil,false,"")
	window:AddButton(15,260,"getlocation:"..index,"Get Location",230,24,"[FF7700]Get Location\n[FFFFBB]this will get the x,y,z of the target location",nil,false,"")
	window:AddButton(15,285,"gethue:"..index,"Get Hue",230,24,"[FF7700]Get Hue\n[FFFFBB]this will get the hue value of the target",nil,false,"")	
	window:AddButton(15,310,"getrotation:"..index,"Get Rotation",230,24,"[FF7700]Get Rotation\n[FFFFBB]this will get the x,y,z of the target rotation",nil,false,"")	
	window:AddButton(15,335,"gettemplate:"..index,"Get Template",230,24,"[FF7700]Get Template\n[FFFFBB]this will get the template of the target",nil,false,"")

	window:AddButton(240,235,"fill_object:"..index,"OBJECT",230,24,"[FF7700]Get Object\n[FFFFBB]this will add OBJECT in the text box for you",nil,false,"")
	window:AddButton(240,260,"fill_self:"..index,"SELF",230,24,"[FF7700]Get Location\n[FFFFBB]this will add SELF in the text box",nil,false,"")
	window:AddButton(240,285,"fill_at_symbol:"..index,"@",230,24,"[FF7700]@\n[FFFFBB]this will add an @ symbol to the text box",nil,false,"")	
	window:AddButton(240,310,"fill_objectlist:"..index,"OBJECTLIST",230,24,"[FF7700]OBJECTLIST\n[FFFFBB]this will add OBJECTLIST in the text box for you",nil,false,"")	
	--window:AddButton(240,335,"gettemplate:"..index,"Get Template",230,24,"[FF7700]Get Template\n[FFFFBB]this will get the template of the target",nil,true,"SimpleButton")

	user:OpenDynamicWindow(window,spawner)
end