-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
--================================================================
--                     PROJECT PHOENIX OVERRIDE
--================================================================
SpecialEffects = {}
------------------------------------------------------------------
-- @function StartSpecialEffect(obj, effectName)
-- @param obj - the object to do effect on
-- @param effectName - the objects RevealEffectname objvar value
------------------------------------------------------------------
function StartSpecialEffect(mobile, effectName)
    local cache = {}
    for ii=1,#SpecialEffects[effectName] do
        if ( SpecialEffects[effectName][ii].Iterations and SpecialEffects[effectName][ii].OnIter ) then
            if ( SpecialEffects[effectName][ii].Cache ) then
                -- update the cache
                cache = SpecialEffects[effectName][ii].Cache(mobile, cache)
            end
            for i=1,SpecialEffects[effectName][ii].Iterations do
                SpecialEffects[effectName][ii].OnIter(i, mobile, cache)
            end
        end
    end
end
------------------------------------------------------------------
-- @function StartSpecialEffect(obj, effectName)
-- @param obj - the object to do effect on
------------------------------------------------------------------
function DoReveal(mobile)
    local effectName = mobile:GetObjVar("RevealEffectName") or "RevealDefault"
    if ( SpecialEffects[effectName] == nil ) then 
        effectName = "RevealDefault" 
        mobile:SetObjVar("RevealEffectName","RevealDefault")
    end
    StartSpecialEffect(mobile, effectName)
end

require 'globals.special_effects.reveals.main'
--================================================================
--                  END PROJECT PHOENIX OVERRIDE
--================================================================